<?php

namespace App\Models;

class Usuarios extends Abs
{

	/**
	* @return retorna todos os usuários
	*/
	public function getAllUsuarios()
	{
		return $this->executaSelect("uni_usuarios","*","","","");
	}
	
	public function getUsuario($cod)
	{
		$condicao = array(
				array("id", $cod),
			);
		return $this->executaSelect("uni_usuarios","*",$condicao,"","");
	}
	/**
	* @return todos os tipso de usuários
	*/
	public function getAllTipes()
	{
		return $this->executaSelect("Usuario_type","*","","","");
	}

	/**
	* Criar Novo Usuário
	* @return true or false
	*/
	public function setUsuario($array)
	{
			$campo_valor = array(
				array("nome", $array['nome_c']),
				array("senha", $array['senha_c']),
				array("type", $array['user_type_edt2']),
				array("sexo", 1),
			);
			
		return $this->executaInsert("uni_usuarios",$campo_valor);
	}

	/**
	* Editar informações do Usuário
	* @return true or false
	*/
	public function editarUsuario($array)
	{
		$condicao = array(
			array("id", $array['id_esccob']),
		);
		$campo_valor = array(
					array("nome", $array['user_nome_edtcob']),
					array("senha", $array['user_senha_edtcob']),
					array("type", $array['user_type_edt2']),
					array("status", $array['user_status_edt2d']),
					array("sexo", 1),
				);	

		return $this->executaUpdate("uni_usuarios",$campo_valor,$condicao);
	}

	/**
	* Altera o status de um usuário
	*/
	public function alterStatus($id,$status)
	{
		$condicao = array(
			array("id", $id),
		);
		$campo_valor = array(
			array("status", abs(--$status)),
			array("id_Usuario_att", $_SESSION['id_Usuario']),
			array("data_att", date("Y-m-d H:i:s")),
		);
		return $this->executaUpdate("uni_usuarios",$campo_valor,$condicao);
	}

	/**
	* Regatar número total de usuários
	* @return um valor numérico
	*/
	public function getTotUsuario()
	{
		return $this->executaSelect("uni_usuarios","COUNT(*) as cont","","","");
	}

}